{
    "name": "spinit/pub-dev-approuter",
    "description": "Router programmabile con applicazioni specializzate",
    "authors": [
        {
            "name": "Ermanno Astolfi",
            "email": "ermanno.astolfi@spinit.it"
        }
    ],
    "require": {
        "spinit/pub-lib-util": "^1.0",
        "webmozart/assert": "^1.10",
        "league/flysystem": "^2.2",
        "league/flysystem-memory": "^2.0",
        "spinit/pub-lib-model": "^1.0",
        "spinit/pub-lib-datasource": "^1.0",
        "spinit/pub-lib-uuido": "^1.0",
        "voryx/thruway-common": "^1.0",
        "thruway/pawl-transport": "^0.5.1",
        "voryx/thruway": "^0.6.0"
    },
    "require-dev": {
        "phpunit/phpunit": "^9.5"
    },
    "autoload": {
        "psr-4": {
          "Spinit\\Dev\\AppRouter\\": "src/",
          "Spinit\\Test\\": "tests/"
        },
        "files" : [
            "init/functions.php"
        ]
    },

    "scripts": {
        "test": "vendor/bin/phpunit",
        "start": "docker-compose up --remove-orphans --build -d",
        "stop" : "docker-compose down"    },

    "repositories": {
        "gitlab.com/11461616": {
            "type": "composer",
            "url": "https://gitlab.com/api/v4/group/11461616/-/packages/composer/packages.json"
        }
    }
}
